Ask Your Question
1

Unable to Select JRE after updating from 6.4 to 7.0

asked 2021-03-02 20:07:36 +0200

umbrellabird gravatar image

updated 2021-03-03 08:18:02 +0200

ebot gravatar image

Hello! I've read a few forum topics about this but haven't been able to figure out/solve the issue I have. I'm running Mac 10.14.6 and am trying to update from LibreOffice 6.3/6.4 to 7.0.4. I'm also running Java 8 version 281. I downloaded and installed the new version of LO, but got a popup saying:

The LibreOffice configuration has been changed. Under LibreOffice - Preferences - LibreOffice - Advanced, select the Java runtime environment you want to have used by LibreOffice.

However, I can't find "Preferences" to do this. Here's where I'm stuck, unable to find "Preferences" under "LibreOffice:

image description

Similar forum posts' answers say there's a bug with 32bit and 64bit installations of Java/LibreOffice, and do try some workaround with JDK(?) So I downloaded the most recent JDK, re-installed 7.0.4, but received the same pop-up window.

At this point I've re-downloaded 6.4.7 to just have a version of LO I can use, but now the same "Select JRE" window is popping up when opening the app.

I'd really like to keep using LO, but at this point I feel like I'm not smart enough to solve this (even though it seems simple?) I think I used to run 32bit, but in trying to get everything updated to 64bit managed to get to this problem. And in re-downloading 6.4 I must have done the 64bit version, though I can't find the 32bit of 6.4 to test if that would solve my issue.

Thank you for any help. And apologies if this isn't hard to solve at all, I'm just struggling to understand it.

edit retag flag offensive close merge delete

Comments

ebot: I had looked at that, and installed the JDK from that link before re-installing LO but it didn't work. The "See also" link only has instructions for Windows. I gave it a shot, but ran into a problem with "Open LibreOffice and go to Tools..." because in my screenshot in my original post, there is no option to get to Tools. It's like LO itself won't "open" until I solve the problem, but the problem can't be solved unless I open LO first?

umbrellabird gravatar imageumbrellabird ( 2021-03-03 13:51:18 +0200 )edit

2 Answers

Sort by » oldest newest most voted
0

answered 2021-03-05 14:33:39 +0200

umbrellabird gravatar image

updated 2021-03-05 14:34:58 +0200

Fixed! But I don't know what happened...

When I posted this question, I would receive the "change the JRE" popup when trying to open LibreOffice. I would click "okay" on the popup and the window (and LO) would close. I'd re-open LO, get the popup, click okay, and LO would close again.

I spent the last day or so re-downloading Java, the JDK, and the 7.0.4 version of LO. Basically repeating the same thing and hoping for a different result.

However, something changed to where I clicked okay on the popup and the Preferences pane of LO opened automatically. I was able to change the JRE and LO started back up fine. Problem solved.

edit flag offensive delete link more
0

answered 2021-03-05 16:45:37 +0200

mrkalvin gravatar image
edit flag offensive delete link more
Login/Signup to Answer

Question Tools

1 follower

Stats

Asked: 2021-03-02 20:07:36 +0200

Seen: 46 times

Last updated: Mar 05